#version 430 core
layout(location = 0) in vec3 aPos;
layout(location = 3) in mat4 aInstanceModelMatrix;


uniform mat4 pvMatrix;
uniform mat4 modelMatrix;


out vec3 oPos;

void main() {
	oPos = vec3(aInstanceModelMatrix * modelMatrix * vec4(aPos, 1.0f));

    gl_Position = pvMatrix * vec4(oPos, 1.0f);
}  