#version 430 core

uniform float near;
uniform float far;

out float FragDepth;

float reversePMatrix(float z) { //fixes depth values beeing broken due to projection
	return (2.0 * near) / (far + near - z * (far - near));
}

void main() {
	FragDepth = reversePMatrix(gl_FragCoord.z);
}